CREATE OR REPLACE VIEW idm_rpt_cfg.auth_by_serv_v 
SELECT sentinel_events.id event_id,
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.ei extended_info,
    sentinel_events.dhn target_host_name,
    sentinel_events.dip target_ip_dotted,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name,
    sentinel_events.sun,
    acct.identity_id,
    case when sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_IDENTITY'
        THEN split_part(split_part(sentinel_events.msg,' from',1),'by ',2)
         ELSE
        split_part(split_part(sentinel_events.msg,',',1),'=',2)
         END target_user_name,
    (sentinel_events.xdastaxname || ' ' || sentinel_events.xdasoutcomename) taxonomy_group,
    (identity.first_name|| ' ' ||identity.last_name) TargetName,
    (SELECT DISTINCT
        identity.first_name ||' '||identity.last_name
    FROM
        sentinel_events
        LEFT OUTER JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v acct2 ON (acct2.idv_acct_dn LIKE ('cn=' || sentinel_events.sun || ',' || '%' ))
        LEFT OUTER JOIN idm_rpt_cfg.idmrpt_identity_cs_v identity2 ON acct2.identity_id = identity2.identity_id
    LIMIT 1) InitName,
    case when sentinel_events.xdasoutcomename='XDAS_OUT_INVALID_IDENTITY'
        THEN null
    ELSE
        '\\'||split_part(split_part(split_part(sentinel_events.msg,',',3),'=',2),' from',1)||'\\'||split_part(split_part(sentinel_events.msg,',',2),'=',2) END TARGET_USER_DOMAIN

   FROM sentinel_events
    LEFT OUTER JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v acct ON (acct.idv_acct_dn LIKE ('cn=' ||  ( split_part(split_part(sentinel_events.msg,',',1),'=',2) ) || ',' || '%' ))
    LEFT OUTER JOIN idm_rpt_cfg.idmrpt_identity_cs_v identity ON acct.identity_id = identity.identity_id

    WHERE
    ((sentinel_events.dhn IS NOT NULL)
                        OR (sentinel_events.dhn IS NOT NULL)) AND
    (sentinel_events.xdastaxname ='XDAS_AE_AUTHENTICATE_ACCOUNT')
        AND (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_USER_CREDENTIALS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_IDENTITY');


ALTER TABLE idm_rpt_cfg.auth_by_serv_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.auth_by_serv_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.auth_by_serv_v TO idmrptuser;