CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_auth_by_serv_v AS 
 SELECT sentinel_events.id AS event_id,
    sentinel_events.evt AS event_name,
    sentinel_events.msg AS base_message,
    sentinel_events.dt AS event_datetime,
    sentinel_events.ei AS extended_info,
    sentinel_events.dhn AS target_host_name,
    sentinel_events.dip AS target_ip_dotted,
    sentinel_events.agent,
    sentinel_events.xdastaxname AS xdas_taxonomy_name,
    sentinel_events.xdasoutcomename AS xdas_outcome_name,
    sentinel_events.sun,
    acct.identity_id,
        CASE
            WHEN sentinel_events.xdasoutcomename::text = 'XDAS_OUT_INVALID_IDENTITY'::text THEN split_part(split_part(sentinel_events.msg::text, ' from'::text, 1), 'by '::text, 2)
            ELSE split_part(split_part(sentinel_events.msg::text, ','::text, 1), '='::text, 2)
        END AS target_user_name,
    (sentinel_events.xdastaxname::text || ' '::text) || sentinel_events.xdasoutcomename::text AS taxonomy_group,
    (identity.first_name::text || ' '::text) || identity.last_name::text AS targetname,
    ( SELECT DISTINCT (identity.first_name::text || ' '::text) || identity.last_name::text
           FROM sentinel_events sentinel_events_1
             LEFT JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v acct2 ON acct2.idv_acct_dn::text ~~ ((('cn='::text || sentinel_events_1.sun::text) || ','::text) || '%'::text)
             LEFT JOIN idm_rpt_cfg.idmrpt_identity_cs_v identity2 ON acct2.identity_id::text = identity2.identity_id::text
         LIMIT 1) AS initname,
        CASE
            WHEN sentinel_events.xdasoutcomename::text = 'XDAS_OUT_INVALID_IDENTITY'::text THEN NULL::text
            ELSE (('\\'::text || split_part(split_part(split_part(sentinel_events.msg::text, ','::text, 3), '='::text, 2), ' from'::text, 1)) || '\\'::text) || split_part(split_part(sentinel_events.msg::text, ','::text, 2), '='::text, 2)
        END AS target_user_domain
   FROM sentinel_events
     LEFT JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v acct ON acct.idv_acct_dn::text ~~ ((('cn='::text || split_part(split_part(sentinel_events.msg::text, ','::text, 1), '='::text, 2)) || ','::text) || '%'::text)
     LEFT JOIN idm_rpt_cfg.idmrpt_identity_cs_v identity ON acct.identity_id::text = identity.identity_id::text
  WHERE (sentinel_events.dhn IS NOT NULL OR sentinel_events.dhn IS NOT NULL) AND sentinel_events.xdastaxname::text = 'XDAS_AE_AUTHENTICATE_ACCOUNT'::text AND (sentinel_events.xdasoutcomename::text = 'XDAS_OUT_SUCCESS'::text OR sentinel_events.xdasoutcomename::text = 'XDAS_OUT_INVALID_USER_CREDENTIALS'::text OR sentinel_events.xdasoutcomename::text = 'XDAS_OUT_INVALID_IDENTITY'::text);

ALTER TABLE idm_rpt_cfg.idmrpt_auth_by_serv_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_auth_by_serv_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_auth_by_serv_v TO idmrptuser;
